sample_ {igraph} | R Documentation

## Sample from a random graph model

### Description

Generic function for sampling from network models.

### Usage

    sample_(...)

### Arguments

`...` | Parameters, see details below.

### Details

TODO

### Examples

    pref_matrix <- cbind(c(0.8, 0.1), c(0.1, 0.7))
    blocky <- sample_(sbm(n = 20, pref.matrix = pref_matrix,
      block.sizes = c(10, 10)))

    blocky2 <- pref_matrix %>%
      sample_sbm(n = 20, block.sizes = c(10, 10))

    ## Arguments are passed on from sample_ to sample_sbm
    blocky3 <- pref_matrix %>%
      sample_(sbm(), n = 20, block.sizes = c(10, 10))

[Package igraph version 1.1.2 Index]